@font-face {
    font-family: "pantom-light";
    src: url("../fonts/panton-light.otf")  format("opentype")
}

@font-face {
    font-family: "pantom-semibold";
    src: url("../fonts/panton-semibold.ttf")  format("truetype")
}

:root {
    --captn-pantom-semi-bold: "pantom-semibold";
    --captn-pantom-light: "pantom-light";
  
    /* primary colors */
    --captn-light: #eae4d9;
    --captn-dark-blue: #003851;
    --captn-teal: #6faabc;
    --captn-sky-blue: #5ec5ed;

    /* code block bg colors */
    /* 002d42 -> 3% darker of --captn-dark-blue */
    --captn-code-bg-dark: #002d42;
    /* e0d7c7 -> 5% darker of --captn-light */
    --captn-code-bg-light: #e0d7c7;
    --captn-dark-grey: rgba(0,0,0,.80);

    /* font colors */
    --captn-font-header-color-light-theme: var(--captn-dark-grey);
    --captn-font-text-color-light-theme: var(--captn-dark-grey);

    --captn-font-header-color-dark-theme: var(--captn-teal);
    --captn-font-text-color-dark-theme: var(--captn-light);
}

.md-typeset h1, .md-typeset h2 {
    font-family: var(--captn-pantom-light);
}

.md-header__button.md-logo :-webkit-any(img,svg) {
    height: 48px;
}
.md-header__topic:first-child {
    font-family: var(--captn-pantom-semi-bold);
    font-size: 32px;
}

table.dataframe {
    font-size: 0.7rem;
    border: none;
    border-color: transparent;
}

table.dataframe td, table.dataframe th {
    padding: 5px 10px;
}

table.dataframe thead th{
    font-weight: bold;
}

body[data-md-color-scheme="captnd"] table.dataframe thead,
body[data-md-color-scheme="captnd"] table.dataframe tr:nth-child(even){
    background: var(--captn-code-bg-dark);
}

body[data-md-color-scheme="captnl"] table.dataframe thead,
body[data-md-color-scheme="captnl"] table.dataframe tr:nth-child(even){
    background: var(--captn-code-bg-light);
}

body[data-md-color-scheme="captnl"] .md-search__form {
    background-color: var(--captn-code-bg-dark);
}

body[data-md-color-scheme="captnd"] .md-search__form {
    background-color: var(--captn-dark-blue);
}

body[data-md-color-scheme="captnd"] .md-search__icon svg:first-child {
	color: var(--captn-light);
}

body[data-md-color-scheme="captnd"] .md-search__form input::placeholder {
	color: var(--captn-light);
}

body[data-md-color-scheme="captnl"] .md-search__form input::placeholder {
	color: var(--captn-light);
}

[data-md-color-scheme="captnd"] {
    --md-default-fg-color:          var(--captn-font-text-color-dark-theme);
    --md-primary-fg-color:          var(--captn-light);
    --md-primary-bg-color:          var(--captn-dark-blue);
    --md-default-fg-color--light:   var(--captn-font-header-color-dark-theme);
    --md-default-bg-color:          var(--md-primary-bg-color);

    /* font colors */
    --md-primary-fg-color--light:   var(--md-primary-fg-color);
    --md-default-fg-color--lighter: var(--md-primary-fg-color);
    --md-accent-fg-color:           var(--captn-sky-blue);

    /* Typeset `a` color shades */
    --md-typeset-a-color:           var(--captn-font-header-color-dark-theme);

    /* footer */
    --md-footer-bg-color:           var(--captn-light);
    --md-footer-fg-color:           var(--captn-dark-blue);
    --md-footer-bg-color--dark:     var(--captn-dark-blue);

    /* code block colors */
    --md-code-bg-color:             var(--captn-code-bg-dark);
    --md-code-fg-color:             var(--captn-light);
}

[data-md-color-scheme="captnl"] {
    --md-default-fg-color:          var(--captn-font-text-color-light-theme);
    --md-primary-fg-color:          var(--captn-dark-blue);
    --md-primary-bg-color:          var(--captn-light);
    --md-default-fg-color--light:   var(--captn-font-header-color-light-theme);
    --md-default-bg-color:          var(--md-primary-bg-color);

    /* font colors */
    --md-primary-fg-color--light:   var(--captn-font-header-color-light-theme);
    --md-default-fg-color--lighter: var(--md-primary-fg-color);
    --md-accent-fg-color:           var(--captn-teal);

    /* Typeset `a` color shades */
    --md-typeset-a-color:           var(--captn-dark-blue);  

    /* footer */
    --md-footer-bg-color:           var(--captn-dark-blue);
    --md-footer-fg-color:           var(--captn-light);

    /* code block colors */
    --md-code-bg-color:             var(--captn-code-bg-light);
    --md-code-fg-color:             var(--captn-font-text-color-light-theme);
}
